geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GEODE-2708) Update Gradle Wrapper to Gradle 3
Date Mon, 21 Aug 2017 20:38:01 GMT

    [ https://issues.apache.org/jira/browse/GEODE-2708?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16135779#comment-16135779
] 

ASF subversion and git services commented on GEODE-2708:
--------------------------------------------------------

Commit 7038eb90200d64fb499aca6a2d01f84e19c88c5d in geode's branch refs/heads/develop from
[~mbretl]
[ https://git-wip-us.apache.org/repos/asf?p=geode.git;h=7038eb9 ]

GEODE-2708: Update Gradle Wrapper To 3.5.1

While updating the Gradle wrapper from 2.14.1 to 3.5.1, it was found that the
ANTLR plugin causing an issue inside the Eclipse IDE. The fix was to declare the
ANTLR dependency version for the antlr configuration. If no version is set for
the antlr plugin, it will default to 2.7.7. However, this was causing an issue
for Eclipse and other IDE's because the plugin was modifying the antlr
configuration after the initial dependency resolution was done.

- Updated Gradle Wrapper to 3.5.1
- Added antlr dependency to the antlr configuration

Verified by importing project into Eclipse and also running build from
command-line


> Update Gradle Wrapper to Gradle 3
> ---------------------------------
>
>                 Key: GEODE-2708
>                 URL: https://issues.apache.org/jira/browse/GEODE-2708
>             Project: Geode
>          Issue Type: Task
>          Components: build
>            Reporter: Galen O'Sullivan
>            Assignee: Mark Bretl
>
> It looks like we're still running on a very old version of Gradle. This may be related
to incremental builds not working properly.
> {code}
> $ ./gradlew --version
> ------------------------------------------------------------
> Gradle 2.14.1
> ------------------------------------------------------------
> Build time:   2016-07-18 06:38:37 UTC
> Revision:     d9e2113d9fb05a5caabba61798bdb8dfdca83719
> Groovy:       2.4.4
> Ant:          Apache Ant(TM) version 1.9.6 compiled on June 29 2015
> JVM:          1.8.0_111 (Oracle Corporation 25.111-b14)
> OS:           Mac OS X 10.12.3 x86_64
> $ gradle --version
> ------------------------------------------------------------
> Gradle 3.4.1
> ------------------------------------------------------------
> Build time:   2017-03-03 19:45:41 UTC
> Revision:     9eb76efdd3d034dc506c719dac2955efb5ff9a93
> Groovy:       2.4.7
> Ant:          Apache Ant(TM) version 1.9.6 compiled on June 29 2015
> JVM:          1.8.0_111 (Oracle Corporation 25.111-b14)
> OS:           Mac OS X 10.12.3 x86_64
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message